local GPLib = LibStub:GetLibrary("LibGearPoints-1.2")

local function GiveGearAndGP(self)

    -- give loot
    LootHistoryDropDown_GiveMasterLoot()

    -- give gp
    local _, itemLink = C_LootHistory.GetItem(LootHistoryDropDown.itemIdx)
    local name = C_LootHistory.GetPlayerInfo(LootHistoryDropDown.itemIdx, LootHistoryDropDown.playerIdx)
    local gp = tonumber(self.value)
    if EPGP:CanIncGPBy(itemLink, gp) then
        EPGP:IncGPBy(name, itemLink, gp)
    end
end

local function buildMenuItem(self, gp)
    local info = UIDropDownMenu_CreateInfo()
    info.notCheckable = 1
    local name, class = C_LootHistory.GetPlayerInfo(self.itemIdx, self.playerIdx)
    local classColor = RAID_CLASS_COLORS[class]
    local colorCode = string.format("|cFF%02x%02x%02x",  classColor.r*255,  classColor.g*255,  classColor.b*255)
    info.text = "Give to "..colorCode..name.."|r for "..gp.."GP"
    info.value = gp
    info.func = GiveGearAndGP
    UIDropDownMenu_AddButton(info)
end

local function InitDropDown(self)
    LootHistoryDropDown_Initialize(self)

    local _, itemLink = C_LootHistory.GetItem(LootHistoryDropDown.itemIdx)

    if ( itemLink and GPLib) then
        local gp1, gp2 = GPLib:GetValue(itemLink)
        if ( gp1 ) then
            buildMenuItem(self, gp1)
        end
        if ( gp2 ) then
            buildMenuItem(self, gp2)
        end
    end
end

LootHistoryDropDown.initialize = InitDropDown;